## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 17;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-testing.common.database
Version:        2.0.3
Release:        %autorelease
Summary:        Utilities for testing.* packages

License:        Apache-2.0
URL:            https://github.com/tk0miya/testing.common.database
Source:         %{pypi_source testing.common.database}

# Support Callable in collections.abc
# https://github.com/tk0miya/testing.common.database/pull/25
Patch:          %{url}/pull/25.patch

BuildArch:      noarch

BuildRequires:  python3-devel

%global common_description %{expand:
%{summary}.}

%description %{common_description}


%package -n     python3-testing.common.database
Summary:        %{summary}

%description -n python3-testing.common.database %{common_description}


%prep
%autosetup -n testing.common.database-%{version} -p1


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# Note that testing is a namespace package; other packages in this namespace
# could co-own it, but in practice will most likely depend on this package.
# This is true of python-testing.postgresql and (if it packaged in the future)
# python-testing.mysqld.
%pyproject_save_files -l testing


%check
# Upstream has no (non-linter) tests.
%pyproject_check_import


%files -n python3-testing.common.database -f %{pyproject_files}
%doc README.rst
%{python3_sitelib}/testing.common.database-%{version}-py%{python3_version}-nspkg.pth


%changelog
## START: Generated by rpmautospec
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 2.0.3-16
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Dec 19 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 2.0.3-13
- Assert that %%pyproject_files contains a license file

* Fri Aug 04 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 2.0.3-12
- Improved spec-file commentary

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 2.0.3-10
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Nov 28 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 2.0.3-7
- Update License to SPDX

* Mon Nov 28 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 2.0.3-6
- Drop default argument -r from pyproject_buildrequires

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 2.0.3-4
- Rebuilt for Python 3.11

* Wed Apr 20 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 2.0.3-3
- Stop numbering patches

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Dec 27 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 2.0.3-1
- Initial package (close RHBZ#2033828)
## END: Generated by rpmautospec
